import type { Arguments, Argv } from 'yargs';
export declare type Program = Argv;
export type { Arguments };
export declare type Parser = (argv?: string[]) => Promise<Arguments>;
export declare type Context = {
    program: Program;
    parse: Parser;
};
/**
 * Create and return a pre-configured Yargs instance (program) and argv parser.
 */
export declare function configureProgram(): Context;
/**
 * Configure an existing Yargs instance (program) and return an argv parser.
 *
 * @param program A Yargs instance to configure
 */
export declare function configureProgram(program: Program): Context;
