#!/usr/bin/env node
(()=>{"use strict";var e={n:t=>{var o=t&&t.__esModule?()=>t.default:()=>t;return e.d(o,{a:o}),o},d:(t,o)=>{for(var a in o)e.o(o,a)&&!e.o(t,a)&&Object.defineProperty(t,a,{enumerable:!0,get:o[a]})},o:(e,t)=>Object.prototype.hasOwnProperty.call(e,t)};const t=require("git-add-then-commit/package.json");var o=e.n(t);const a=require("path");var s=e.n(a);const i=require("yargs/yargs");var r=e.n(i);const n=require("debug");var l=e.n(n);const c=require("simple-git");var p=e.n(c);const m=require("common-ancestor-path");var f=e.n(m);const u=require("execa");var g=e.n(u);const{name:d}=o(),h=l()(`${d}:git-lib`);async function w(){const{files:e}=await p()().status(),t=e.filter((e=>!["?"," "].includes(e.index))).flatMap((e=>e.path.split(" -> ")));return h("getStagedPaths: saw file paths: %O",e),h("getStagedPaths: returning: %O",t),t}async function b(e){const t=(await Promise.all([g()("git",["diff","--name-only","--",e]),g()("git",["diff","--staged","--name-only","--",e])])).reduce(((e,{stdout:t})=>[...e,...t.split("\n")]),[]).filter(Boolean);h(`fullname: combined stdout array:\n"${t}"`);const o=Array.from(new Set(t));if(!o.length)throw new Error(`path "${e}" does not refer to any staged files`);const a=o.length>1?{ambiguous:!0,files:o}:{ambiguous:!1,file:o[0]};return h("fullname: computed files (from stdout): %O",o),h("fullname: result: %O",a),a}const{name:y}=o(),{parse:v,basename:$}=s(),E=l()(`${y}:parse`),O=RegExp("^[\\s|*]*(BREAKING|BREAKING CHANGE|BREAKING CHANGES)[:\\s]+(.*)","im"),{name:S}=o(),A=l()(`${S}:cli`);(({program:e,parse:t})=>{t().catch((async t=>{!(await e.argv).silent&&console.error(`fatal: ${("string"==typeof t?t:t.message).replace(/^fatal: /,"")}`),A(`error handler: ${t}`),process.exit(1)}))})(function(e){const t=r()();return t.scriptName("gac").usage('$0 [path1, path2, ...] commit-type commit-scope commit-message\n\nStage any paths provided and then commit all staged files. Running this command is equivalent to running the following git commands by hand:\n  git add path1 path2 ...\n  git commit -m "commit-type(commit-scope): commit-message"').options({"scope-omit":{alias:"o",describe:"Do not include a scope at all",type:"boolean"},"scope-basename":{alias:"b",describe:"Use path1's basename as the scope",type:"boolean"},"scope-as-is":{alias:"a",describe:"Use path1 exactly as typed as the scope",type:"boolean"},"scope-full":{alias:"f",describe:"Use path1 (relative to repo root) as the scope",type:"boolean"},"scope-root":{alias:"r",describe:"Use path1 to derive a photogenic scope",type:"boolean"},silent:{alias:"s",describe:"Nothing will be printed to stdout or stderr",type:"boolean"},force:{describe:"Always stage paths even when doing so could damage the index",type:"boolean"},verify:{describe:"Use --no-verify to bypass git pre-commit and commit-msg hooks",type:"boolean",default:"true"}}).string("_").group(["scope-omit","scope-basename","scope-as-is","scope-full","scope-root"],"Scope options:").group(["help","version","silent","verify"],"Other options:").epilogue("See the full documentation for more details: https://bit.ly/3AdNSAU").example([['$0 path/to/file1 feat - "new feature"','Stages file1 & commits as "feat: new feature"'],['$0 path file2 feat -- "new feature"','Stages file1 & file2 & commits as "feat(file1): new feature"'],['$0 path feat --scope-as-is "feature"','Stages file1 & commits as "feat(path): feature"'],['$0 path feat --scope-full "new feature"','Stages file1 & commits as "feat(path/to/file1): new feature"'],['$0 path feat --scope-root "new feature"','Stages file1 & file2 & commits as "feat(path): new feature"'],['$0 chore scripts "update var names"','Commits (all staged files) as "chore(scripts): update var names"']]).strictOptions(),{program:t,parse:async e=>{var o;e=(null!==(o=e)&&void 0!==o&&o.length?e:process.argv.slice(2)).map((e=>"-"==e?"-o":"--"==e?"-b":"---"==e?"-r":e)),E("saw argv: %O",e);const a=await t.parse(e);let s=!1;const i=["scopeOmit","scopeBasename","scopeAsIs","scopeFull","scopeRoot"].filter((e=>e in a)).length,r=(s=!!i)?2:3;if(i>1)throw new Error("only one scope option is allowed. See --help for details");if(a._.length<r)throw new Error("must pass all required arguments. See --help for details");if(!await async function(){return p()().checkIsRepo()}())throw new Error("not a git repository (or any of the parent directories): .git");const n=await w();if(E("pre-staged paths: %O",n),a._.length==r&&!n.length)throw new Error("must stage a file or pass a path. See --help for details");const l=Array.from(a._).map(String),c=l.splice(0,l.length-(s?2:3)),[m,u,d]=s?[l[0],,l[1]]:l,y=m.toLowerCase();let S=`${y}(${u}): ${d}`;if(E(`initial message: ${S}`),n.length)if(a.force)E("WARNING: skipping dangerous operation check!");else if(E("performing dangerous operation check"),(await Promise.allSettled(c.map((e=>b(e))))).filter((e=>"fulfilled"==e.status)).flatMap((({value:e})=>e.ambiguous?e.files:e.file)).some((e=>n.includes(e))))throw new Error('dangerous operation rejected: "git add" could clobber index state (can be overridden with --force)');await async function(e){h("stagePaths: adding (staging) paths: %O",e),e.length&&await p()().add(e)}(c);const A=await w();if(!A.length)throw new Error("assert failed: nothing to commit");if(!u)if(E("deriving commit scope based on rules: %O",a),a.scopeOmit)E("deriving as omit"),S=`${y}: ${d}`;else{let e;if(a.scopeBasename){if(E("deriving as basename"),c.length){const t=c[0],o=await b(t);if(o.ambiguous)throw new Error("use of --scope-basename with an ambiguous path");e=$(o.file)}else{if(1!=A.length)throw new Error("use of --scope-basename with multiple staged files is ambiguous");e=$(A[0])}e=e.toLowerCase()}else if(a.scopeFull||a.scopeRoot){const t=a.scopeRoot?"root":"full";E(`deriving as ${t}`);const o=e=>e.split(".").filter(Boolean)[0]||e,s=e=>{const o=function(e){const t=f()(...e)||null;return h(`commonAncestor: computed ancestor: ${t}`),t}(e);if(!o)throw new Error(`use of --scope-${t} is ambiguous without common ${a.scopeFull?"non-root":"first or second"} ancestor`);return o};if(c.length){const t=await b(c[0]);if(t.ambiguous)e=s(t.files);else{const o=v(t.file);e=a.scopeRoot&&!o.dir?o.name:t.file}}else e=1==A.length?A[0]:s(A);e=e.toLowerCase();const i=e.split("/").filter(Boolean);a.scopeRoot&&(e=i[0],i[1]&&i[0]==y&&(i[2]?e=i[1]:(e=o(i[1]),"index"==e&&(e=""))),e=o(e)),e==y&&(e="")}else{if(E("deriving as as-is"),!c.length)throw new Error("use of --scope-as-is without path argument is ambiguous");e=c[0]}S=y+(e?`(${e}): `:": ")+d}return(e=>O.test(e))(d)&&(S=S.slice(0,S.indexOf(":"))+"!"+S.slice(S.indexOf(":"))),await async function(e,t=!0,o=!1){h(`makeCommit: pipe output: ${t}`),h(`makeCommit: no-verify: ${o}`),h("makeCommit: creating commit with message: %O",e);const a=o?["--no-verify"]:[];if(t)await g()("git",["commit","-m",e,...a],{stdio:"inherit"}).catch((()=>{throw new Error("commit operation failed")}));else if(!(await p()().commit(e,a)).commit)throw new Error("silent commit operation failed")}(S,!a.silent,!a.verify),a}}}())})();