(()=>{"use strict";var e={n:t=>{var o=t&&t.__esModule?()=>t.default:()=>t;return e.d(o,{a:o}),o},d:(t,o)=>{for(var a in o)e.o(o,a)&&!e.o(t,a)&&Object.defineProperty(t,a,{enumerable:!0,get:o[a]})},o:(e,t)=>Object.prototype.hasOwnProperty.call(e,t),r:e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})}},t={};e.r(t),e.d(t,{configureProgram:()=>A});const o=require("git-add-then-commit/package.json");var a=e.n(o);const s=require("path");var i=e.n(s);const r=require("yargs/yargs");var n=e.n(r);const l=require("debug");var c=e.n(l);const p=require("simple-git");var m=e.n(p);const f=require("common-ancestor-path");var u=e.n(f);const g=require("execa");var d=e.n(g);const{name:h}=a(),w=c()(`${h}:git-lib`);async function b(){const{files:e}=await m()().status(),t=e.filter((e=>!["?"," "].includes(e.index))).flatMap((e=>e.path.split(" -> ")));return w("getStagedPaths: saw file paths: %O",e),w("getStagedPaths: returning: %O",t),t}async function y(e){const t=(await Promise.all([d()("git",["diff","--name-only","--",e]),d()("git",["diff","--staged","--name-only","--",e])])).reduce(((e,{stdout:t})=>[...e,...t.split("\n")]),[]).filter(Boolean);w(`fullname: combined stdout array:\n"${t}"`);const o=Array.from(new Set(t));if(!o.length)throw new Error(`path "${e}" does not refer to any staged files`);const a=o.length>1?{ambiguous:!0,files:o}:{ambiguous:!1,file:o[0]};return w("fullname: computed files (from stdout): %O",o),w("fullname: result: %O",a),a}const{name:v}=a(),{parse:$,basename:S}=i(),O=c()(`${v}:parse`),E=RegExp("^[\\s|*]*(BREAKING|BREAKING CHANGE|BREAKING CHANGES)[:\\s]+(.*)","im");function A(e){const t=e||n()();return t.scriptName("gac").usage('$0 [path1, path2, ...] commit-type commit-scope commit-message\n\nStage any paths provided and then commit all staged files. Running this command is equivalent to running the following git commands by hand:\n  git add path1 path2 ...\n  git commit -m "commit-type(commit-scope): commit-message"').options({"scope-omit":{alias:"o",describe:"Do not include a scope at all",type:"boolean"},"scope-basename":{alias:"b",describe:"Use path1's basename as the scope",type:"boolean"},"scope-as-is":{alias:"a",describe:"Use path1 exactly as typed as the scope",type:"boolean"},"scope-full":{alias:"f",describe:"Use path1 (relative to repo root) as the scope",type:"boolean"},"scope-root":{alias:"r",describe:"Use path1 to derive a photogenic scope",type:"boolean"},silent:{alias:"s",describe:"Nothing will be printed to stdout or stderr",type:"boolean"},force:{describe:"Always stage paths even when doing so could damage the index",type:"boolean"},verify:{describe:"Use --no-verify to bypass git pre-commit and commit-msg hooks",type:"boolean",default:"true"}}).string("_").group(["scope-omit","scope-basename","scope-as-is","scope-full","scope-root"],"Scope options:").group(["help","version","silent","verify"],"Other options:").epilogue("See the full documentation for more details: https://bit.ly/3AdNSAU").example([['$0 path/to/file1 feat - "new feature"','Stages file1 & commits as "feat: new feature"'],['$0 path file2 feat -- "new feature"','Stages file1 & file2 & commits as "feat(file1): new feature"'],['$0 path feat --scope-as-is "feature"','Stages file1 & commits as "feat(path): feature"'],['$0 path feat --scope-full "new feature"','Stages file1 & commits as "feat(path/to/file1): new feature"'],['$0 path feat --scope-root "new feature"','Stages file1 & file2 & commits as "feat(path): new feature"'],['$0 chore scripts "update var names"','Commits (all staged files) as "chore(scripts): update var names"']]).strictOptions(),{program:t,parse:async e=>{var o;e=(null!==(o=e)&&void 0!==o&&o.length?e:process.argv.slice(2)).map((e=>"-"==e?"-o":"--"==e?"-b":"---"==e?"-r":e)),O("saw argv: %O",e);const a=await t.parse(e);let s=!1;const i=["scopeOmit","scopeBasename","scopeAsIs","scopeFull","scopeRoot"].filter((e=>e in a)).length,r=(s=!!i)?2:3;if(i>1)throw new Error("only one scope option is allowed. See --help for details");if(a._.length<r)throw new Error("must pass all required arguments. See --help for details");if(!await async function(){return m()().checkIsRepo()}())throw new Error("not a git repository (or any of the parent directories): .git");const n=await b();if(O("pre-staged paths: %O",n),a._.length==r&&!n.length)throw new Error("must stage a file or pass a path. See --help for details");const l=Array.from(a._).map(String),c=l.splice(0,l.length-(s?2:3)),[p,f,g]=s?[l[0],,l[1]]:l,h=p.toLowerCase();let v=`${h}(${f}): ${g}`;if(O(`initial message: ${v}`),n.length)if(a.force)O("WARNING: skipping dangerous operation check!");else if(O("performing dangerous operation check"),(await Promise.allSettled(c.map((e=>y(e))))).filter((e=>"fulfilled"==e.status)).flatMap((({value:e})=>e.ambiguous?e.files:e.file)).some((e=>n.includes(e))))throw new Error('dangerous operation rejected: "git add" could clobber index state (can be overridden with --force)');await async function(e){w("stagePaths: adding (staging) paths: %O",e),e.length&&await m()().add(e)}(c);const A=await b();if(!A.length)throw new Error("assert failed: nothing to commit");if(!f)if(O("deriving commit scope based on rules: %O",a),a.scopeOmit)O("deriving as omit"),v=`${h}: ${g}`;else{let e;if(a.scopeBasename){if(O("deriving as basename"),c.length){const t=c[0],o=await y(t);if(o.ambiguous)throw new Error("use of --scope-basename with an ambiguous path");e=S(o.file)}else{if(1!=A.length)throw new Error("use of --scope-basename with multiple staged files is ambiguous");e=S(A[0])}e=e.toLowerCase()}else if(a.scopeFull||a.scopeRoot){const t=a.scopeRoot?"root":"full";O(`deriving as ${t}`);const o=e=>e.split(".").filter(Boolean)[0]||e,s=e=>{const o=function(e){const t=u()(...e)||null;return w(`commonAncestor: computed ancestor: ${t}`),t}(e);if(!o)throw new Error(`use of --scope-${t} is ambiguous without common ${a.scopeFull?"non-root":"first or second"} ancestor`);return o};if(c.length){const t=await y(c[0]);if(t.ambiguous)e=s(t.files);else{const o=$(t.file);e=a.scopeRoot&&!o.dir?o.name:t.file}}else e=1==A.length?A[0]:s(A);e=e.toLowerCase();const i=e.split("/").filter(Boolean);a.scopeRoot&&(e=i[0],i[1]&&i[0]==h&&(i[2]?e=i[1]:(e=o(i[1]),"index"==e&&(e=""))),e=o(e)),e==h&&(e="")}else{if(O("deriving as as-is"),!c.length)throw new Error("use of --scope-as-is without path argument is ambiguous");e=c[0]}v=h+(e?`(${e}): `:": ")+g}return(e=>E.test(e))(g)&&(v=v.slice(0,v.indexOf(":"))+"!"+v.slice(v.indexOf(":"))),await async function(e,t=!0,o=!1){w(`makeCommit: pipe output: ${t}`),w(`makeCommit: no-verify: ${o}`),w("makeCommit: creating commit with message: %O",e);const a=o?["--no-verify"]:[];if(t)await d()("git",["commit","-m",e,...a],{stdio:"inherit"}).catch((()=>{throw new Error("commit operation failed")}));else if(!(await m()().commit(e,a)).commit)throw new Error("silent commit operation failed")}(v,!a.silent,!a.verify),a}}}module.exports=t})();